import request from "@/utils/request";
// process-boot

//获取电能质量问题查询维护数据
export function getIssues(data) {
  return request({
    url: "/process-boot/electricityQuality/getIssues",
    method: "POST",
    data,
  });
}

//填报普测超标问题 新增
export function addGeneralSurveyIssues(data) {
  return request({
    url: "/process-boot/electricityQuality/addGeneralSurveyIssues",
    method: "POST",
    data,
  });
}
//填报运维监控异常问题 新增
export function addAbnormalIssues(data) {
  return request({
    url: "/process-boot/electricityQuality/addAbnormalIssues",
    method: "POST",
    data,
  });
}
//填报用户投诉问题 新增
export function addComplaintIssues(data) {
  return request({
    url: "/process-boot/electricityQuality/addComplaintIssues",
    method: "POST",
    data,
  });
}
//填报在线监测超标问题 新增
export function addExcessiveIssues(data) {
  return request({
    url: "/process-boot/electricityQuality/addExcessiveIssues",
    method: "POST",
    data,
  });
}
//填报计划整改措施
export function correctiveAction(data) {
  return request({
    url: "/process-boot/electricityQuality/correctiveAction",
    method: "POST",
    data,
  });
}
//填报实际采取措施
export function takeAction(data) {
  return request({
    url: "/process-boot/electricityQuality/takeAction",
    method: "POST",
    data,
  });
}
//填报实际采取措施
export function effectAnalysis(data) {
  return request({
    url: "/process-boot/electricityQuality/effectAnalysis",
    method: "POST",
    data,
  });
}
//原因分析
export function reasonAnalysis(data) {
  return request({
    url: "/process-boot/electricityQuality/reasonAnalysis",
    method: "POST",
    data,
  });
}
//查询在线监测超标问题详情
export function getExcessiveDetail(data) {
  return request({
    url:
      "/process-boot/electricityQuality/getExcessiveDetail?powerQualityProblemNo=" +
      data,
    method: "POST",
  });
}
//查询普测超标问题详情
export function getGeneralSurveyDetail(data) {
  return request({
    url:
      "/process-boot/electricityQuality/getGeneralSurveyDetail?powerQualityProblemNo=" +
      data,
    method: "POST",
  });
}
//查询用户投诉问题详情
export function getComplaintDetail(data) {
  return request({
    url:
      "/process-boot/electricityQuality/getComplaintDetail?powerQualityProblemNo=" +
      data,
    method: "POST",
  });
}
//查询运维异常问题详情
export function getAbnormalDetail(data) {
  return request({
    url:
      "/process-boot/electricityQuality/getAbnormalDetail?powerQualityProblemNo=" +
      data,
    method: "POST",
  });
}

//删除问题
export function deleteIssues(data) {
  return request({
    url:
      "/process-boot/electricityQuality/deleteIssues?powerQualityProblemNo=" +
      data,
    method: "POST",
  });
}
//问题归档
export function queryCheckTrack(data) {
  return request({
    url:
      "/process-boot/electricityQuality/queryCheckTrack?powerQualityProblemNo=" +
      data,
    method: "POST",
  });
}
//问题归档
export function archive(data) {
  return request({
    url:
      "/process-boot/electricityQuality/archive?powerQualityProblemNo=" + data,
    method: "POST",
  });
}

// device-boot
//告警明细查看(主配网)
export function getAllAlarmDetailList(data) {
  return request({
    url: "/device-boot/rMpPwAlarmDetail/getAllAlarmDetailList",
    method: "POST",
    data,
  });
}
//获取用电用户列表
export function getPowerUtilizationUserList(data) {
  return request({
    url: "/device-boot/pms/powerClient/getPowerUtilizationUserList",
    method: "POST",
    data,
  });
}
//获取用发电户列表
export function getGenerateElectricityUserList(data) {
  return request({
    url: "/device-boot/pms/powerGenerationUser/getGenerateElectricityUserList",
    method: "POST",
    data,
  });
}

// pqs-procees
//普测计划名称查询
export function querySurveyPlanOnQuestion(data) {
  return request({
    url: "/process-boot/rGeneralSurveyPlan/querySurveyPlanOnQuestion",
    method: "POST",
    data,
  });
}
export function querySurveyPlanName(data) {
  return request({
    url: "/process-boot/rGeneralSurveyPlan/querySurveyPlanName",
    method: "POST",
    data,
  });
}
// 电能质量问题审核
export function checkPowerQuality(data) {
  return request({
    url: "/process-boot/electricityQuality/checkPowerQuality",
    method: "POST",
    data,
  });
}
// 在线监测
export function onlineMonitor(data) {
  return request({
    url: "/harmonic-boot/onlineMonitor/list",
    method: "POST",
    data,
  });
}
// 查看越限详情
export function overLimitDetail(data) {
  return request({
    url: "/harmonic-boot/onlineMonitor/overLimitDetail",
    method: "POST",
    data,
  });
}
